TAP2FILE(1)

NAME
tap2file - split a tap format tape container into individual files

SYNOPSIS
tap2file [--pref=p] [--v] FILE
tap2file --help

DESCRIPTION
Reads the tap format tape container FILE and creates for tape file an individual disk file. The created files are named pref_nn.dat, where pref is either the prefix given with the --pref option or the stem of FILE. tap2file writes to stdout a one-line message for each created file which gives the filename, the number of tape records, and the record length. In case the record length is variable the minimal and the maximal record length is given.

OPTIONS

-pref=p
    use p as a prefix to generate the names of all generated files. If not specified the stem of the input file name is taken.

-v  verbose mode, prints a message per processed record which contains file number, record number, record length, and the first 16 bytes as hex dump. EOF and EOT markers are also indicated. Can be useful for tapes with varying record length files or for debugging.

-help
    print full help text and exit.

EXAMPLES

tap2file tmscptape.tap
    reads the file tmscptape.tap and creates a file for each tape file. Because no --pref option is given the output files will be named "tmscptape_nn.dat". The stdout output might look like
          tmscptape_00.dat:     73 records, length   512
          tmscptape_01.dat:     38 records, length  1024
          tmscptape_02.dat:     34 records, length  1024
          tmscptape_03.dat:     36 records, length  1024
          tmscptape_04.dat:     33 records, length  1024
          tmscptape_05.dat:    501 records, length 10240
          tmscptape_06.dat:   3516 records, length 10240
          tmscptape_07.dat:    903 records, length 10240
          tmscptape_08.dat:   4168 records, length 10240
    which indicates that the first file had 512 byte records, the next four 1024 byte records, and the remaining ones 10240 byte records. In the case of a tape generated by a Unix system a record length of 10240 is a good hint this the file contains a tar(1) archive.

tap2file -v test.tap
    reads the file test.tap and writes a one-line trace info for each record. The stdout output might look like
           0,    0 :     80 : 00 00 00 00 50 00 06 07 08 09 0a 0b 0c 0d ...
           0,    1 :     80 : 00 00 01 00 50 00 06 07 08 09 0a 0b 0c 0d ...
           0,    2 :    160 : 00 00 02 00 a0 00 06 07 08 09 0a 0b 0c 0d ...
           0,    3 :    160 : 00 00 03 00 a0 00 06 07 08 09 0a 0b 0c 0d ...
           0,    4 : ---EOF---
        test_00.dat:      4 records, length min=   80, max=  160
           1,    0 :     92 : 01 00 00 00 5c 00 06 07 08 09 0a 0b 0c 0d ...
           1,    1 :     92 : 01 00 01 00 5c 00 06 07 08 09 0a 0b 0c 0d ...
           1,    2 :     92 : 01 00 02 00 5c 00 06 07 08 09 0a 0b 0c 0d ...
           1,    3 :    100 : 01 00 03 00 64 00 06 07 08 09 0a 0b 0c 0d ...
           1,    4 :    100 : 01 00 04 00 64 00 06 07 08 09 0a 0b 0c 0d ...
           1,    5 :     96 : 01 00 05 00 60 00 06 07 08 09 0a 0b 0c 0d ...
           1,    6 :     96 : 01 00 06 00 60 00 06 07 08 09 0a 0b 0c 0d ...
           1,    7 : ---EOF---
        test_01.dat:      7 records, length min=   92, max=  100
           5,    0 : ---EOF---
           6,    0 : ---EOT---

SEE ALSO
file2tap(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>